%define anolis_release 1

Summary: A utility for configuring serial ports
Name:    setserial
Version: 2.17
Release: %{anolis_release}%{?dist}
Source:  https://sourceforge.net/projects/setserial/files/setserial/%{version}/%{name}-%{version}.tar.gz
Patch0: setserial-2.17-fhs.patch
Patch1: setserial-2.17-rc.patch
Patch2: setserial-aarch64.patch
License: GPL+
URL: http://setserial.sourceforge.net/

BuildRequires: make
BuildRequires: gcc
BuildRequires: groff

%description
Setserial is a basic system utility for displaying or setting serial
port information. Setserial can reveal and allow you to alter the I/O
port and IRQ that a particular serial device is using, and more.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q
# Use FHS directory layout.
%patch0 -p1 -b .fhs
# Fixed initscript.
%patch1 -p1 -b .rc
# Support aarch64.
%patch2 -p1 -b .aarch64

%build
%set_build_flags
# Makefile expects CFLAGS to contain linker flags.
CFLAGS="$CFLAGS $LDFLAGS"
%configure
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}/man8
make install DESTDIR=${RPM_BUILD_ROOT}

%generate_compatibility_deps

%files
%{_bindir}/setserial
%{_mandir}/man*/*
%dir %{abidir}
%{abidir}/setserial-option.list

%files doc
%doc README rc.serial

%changelog
* Thu Mar 16 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 2.17-1
- Init from upstream
